from machine import Pin
import utime
import tm1637

tm = tm1637.TM1637(clk=Pin(15), dio=Pin(14))
button=Pin(13, Pin.IN, Pin.PULL_DOWN)
global aux
count=0
aux=0

def button_interrupt(pin):
  global aux 
  aux=aux+1
  if aux==2 :
      aux=0
button.irq(trigger=Pin.IRQ_RISING, handler=button_interrupt)

while True :
    
    d0 = int(count/1000)
    d1 = int(count/100) % 10
    d2 = int(count/10) % 10
    d3 = int(count) % 10 
    str_dist = str(d0) + str(d1) + str(d2) + str(d3) 
    tm.show(str_dist)
    utime.sleep_ms(500) 
    if aux==0:
        count=count+1
    else:
        count=count-1
    if count<0:
        count=9999
    if count>9999:
        count=0


